Support

4 endpoints·Scopes: support:read, support:write
GET/api/support/tickets#

Get tickets (supports)

scope · support:readSESSION-only

Returns the tickets data for the supports feature.

Scope: support:read
Auth sources: SESSION only
Endpoint: GET /api/support/tickets

Example request

curl "https://app.guliel.com/api/support/tickets?status=value" \
  -H "Authorization: Bearer $GULIEL_API_KEY"

Query parameters

  • status
    enum<3>
    NEW · IN_PROGRESS · DONE
  • type
    enum<3>
    BUG · FEATURE_REQUEST · MISC
  • priority
    enum<4>
    LOW · NORMAL · HIGH · URGENT
  • pagereq
    integer
  • pageSizereq
    integer

Response (200/201)

  • ticketsreq
    array<object>
    • idreq
      string
    • descriptionreq
      string
    • typereq
      enum<3>
      BUG · FEATURE_REQUEST · MISC
    • priorityreq
      enum<4>
      LOW · NORMAL · HIGH · URGENT
    • statusreq
      enum<3>
      NEW · IN_PROGRESS · DONE
    • featuresreq
      array<enum<21>>
    • organizationsreq
      array<object>
      • idreq
        string
      • namereq
        string
    • createdByreq
      object
      • idreq
        string
      • namereq
        string | null
    • commentCountreq
      number
    • createdAtreq
      string
    • updatedAtreq
      string
  • totalreq
    number
  • pagereq
    number
  • pageSizereq
    number

Error responses

400Validation
401Unauthenticated
403Forbidden
500Internal
POST/api/support/tickets#

Run tickets (supports)

scope · support:writeSESSION-only

Performs the tickets operation for the supports feature.

Scope: support:write
Auth sources: SESSION only
Endpoint: POST /api/support/tickets

Example request

curl -X POST "https://app.guliel.com/api/support/tickets" \
  -H "Authorization: Bearer $GULIEL_API_KEY"

Request body

object

Response (200/201)

  • idreq
    string
  • descriptionreq
    string
  • typereq
    enum<3>
    BUG · FEATURE_REQUEST · MISC
  • priorityreq
    enum<4>
    LOW · NORMAL · HIGH · URGENT
  • statusreq
    enum<3>
    NEW · IN_PROGRESS · DONE
  • featuresreq
    array<enum<21>>
  • organizationsreq
    array<object>
    • idreq
      string
    • namereq
      string
  • createdByreq
    object
    • idreq
      string
    • namereq
      string | null
  • commentCountreq
    number
  • createdAtreq
    string
  • updatedAtreq
    string

Error responses

400Validation
401Unauthenticated
403Forbidden
429RateLimit
500Internal
GET/api/support/tickets/{id}#

List tickets for a support

scope · support:readSESSION-only

Returns every tickets row associated with the given support.

Scope: support:read
Auth sources: SESSION only
Endpoint: GET /api/support/tickets/{id}

Example request

curl "https://app.guliel.com/api/support/tickets/abc123?id=value" \
  -H "Authorization: Bearer $GULIEL_API_KEY"

Query parameters

  • idreq
    string

Response (200/201)

  • ticketreq
    object
    • idreq
      string
    • descriptionreq
      string
    • typereq
      enum<3>
      BUG · FEATURE_REQUEST · MISC
    • priorityreq
      enum<4>
      LOW · NORMAL · HIGH · URGENT
    • statusreq
      enum<3>
      NEW · IN_PROGRESS · DONE
    • featuresreq
      array<enum<21>>
    • organizationsreq
      array<object>
      • idreq
        string
      • namereq
        string
    • createdByreq
      object
      • idreq
        string
      • namereq
        string | null
    • commentCountreq
      number
    • createdAtreq
      string
    • updatedAtreq
      string
  • commentsreq
    array<object>
    • idreq
      string
    • contentreq
      string
    • createdAtreq
      string
    • authorreq
      object
      • idreq
        string
      • namereq
        string | null
      • typereq
        enum<2>
        USER · ADMIN

Error responses

400Validation
401Unauthenticated
403Forbidden
500Internal
POST/api/support/tickets/{id}/comments#

Attach tickets/comments to a support

scope · support:writeSESSION-only

Creates a new tickets/comments attached to the given support.

Scope: support:write
Auth sources: SESSION only
Endpoint: POST /api/support/tickets/{id}/comments

Example request

curl -X POST "https://app.guliel.com/api/support/tickets/abc123/comments" \
  -H "Authorization: Bearer $GULIEL_API_KEY" \
  -H "Content-Type: application/json" \
  --data '{
  "id": "abc123",
  "content": "string"
}'

Request body

  • idreq
    string
  • contentreq
    string

Response (200/201)

  • idreq
    string
  • contentreq
    string
  • createdAtreq
    string
  • authorreq
    object
    • idreq
      string
    • namereq
      string | null
    • typereq
      enum<2>
      USER · ADMIN

Error responses

400Validation
401Unauthenticated
403Forbidden
429RateLimit
500Internal